Bug 101407 - Can't get X11 working again after XQuartz crash
Summary: Can't get X11 working again after XQuartz crash
Status: RESOLVED MOVED
Alias: None
Product: XQuartz
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 2.7.11 (xserver-1.18.4)
Hardware: Other Mac OS X (All)
: medium major
Assignee: Jeremy Huddleston Sequoia
QA Contact: Jeremy Huddleston Sequoia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-13 17:29 UTC by Phil Harvey
Modified: 2019-05-23 18:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
crash report (52.99 KB, text/plain)
2017-06-13 17:29 UTC, Phil Harvey
Details

Description Phil Harvey 2017-06-13 17:29:39 UTC
Created attachment 131927 [details]
crash report

After an XQuartz 2.7.11 crash and relaunch I am unable to open X11 apps again on OS X 10.10.5 without rebooting first.  The system.log shows these messages:

Jun 13 13:11:15 work3 com.apple.xpc.launchd[1] (org.macosforge.xquartz.privileged_startx[44386]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): org.macosforge.xquartz.privileged_startx
Jun 13 13:11:16 work3 com.apple.xpc.launchd[1] (com.apple.xpc.launchd.user.501.100005.Aqua): Check-in attempt by unmanaged service: Xquartz.44457
Jun 13 13:11:16 work3.phy.queensu.ca org.macosforge.xquartz.X11.stub[44457]: launchd check-in failed: No such process

How do I get XQuartz running again properly without rebooting?

TIA

- Phil

P.S. I have attached the initial crash report in case anyone is interested, but my question is only how to get running again after a crash like this.
Comment 1 Phil Harvey 2017-06-14 16:22:45 UTC
Well, I couldn't wait for an answer so I started randomly running apps from /opt/X11/bin to see if any of them could unstick my X11.  And low and behold: running /opt/X11/bin/xinit fixed the problem!  Then after CTRL-C to stop xinit, and re-launching XQuartz, X11 still works fine!  I don't know if this was the right thing to do, but at least it got me going again.
Comment 2 GitLab Migration User 2019-05-23 18:31:59 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/xserver/issues/788.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.